curs_insstr(3)

NAME
insstr, insnstr, winsstr, winsnstr, mvinsstr, mvinsnstr, mvwinsstr, mvwinsnstr - insert string before cursor a ncurses window

SYNOPSIS
#include <ncurses.h>
int insstr(char *str);
int insnstr(char *str, int n);
int winsstr(WINDOW *win, char *str);
int winsnstr(WINDOW *win, char *str, int n);
int mvinsstr(int y, int x, char *str);
int mvinsnstr(int y, int x, char *str, int n);
int mvwinsstr(WINDOW *win, int y, int x, char *str);
int mvwinsnstr(WINDOW *win, int y, int x, char *str, int n);

DESCRIPTION
These routines insert a character string (as many characters as will fit on the line) before the character under the cursor. All characters to the right of the cursor are shifted right, with the possibility of the rightmost characters on the line being lost. The cursor position does not change (after moving to y, x, if specified). The four routines with n as the last argument insert a leading substring of at most n characters. If n<=0, then the entire string is inserted. If a character in str is a tab, newline, carriage return or backspace, the cursor is moved appropriately within the window. A newline also does a clrtoeol before moving. Tabs are considered to be at every eighth column. If a character in str is another control character, it is drawn in the ^X notation. Calling winch after adding a control character (and moving to it, if necessary) does not return the control character, but instead returns a character in the ^-representation of the control character.

RETURN VALUE
All routines return the integer ERR upon failure and an integer value other than ERR upon successful completion.

BUGS
Entry points for these functions are in ncurses.h but they are not implemented as of ncurses 1.8.6.

NOTES
Note that all but winsnstr may be macros.

SEE ALSO
ncurses(3), curs_clear(3), curs_inch(3).